using fichier1.Data;
using Microsoft.EntityFrameworkCore;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace fichier1
{
    static class Program
    {
        /// <summary>
        ///  The main entry point for the application.
        /// </summary>
        public static ServiceProvider ServiceProvider { get; private set; }

        [STAThread]
        static void Main()
        {
            // setup l'injection de dpendance
            var serviceCollection = new ServiceCollection();
            serviceCollection.AddDbContext<BddContext>(options =>
                options.UseInMemoryDatabase("Bdd"));

            Application.SetHighDpiMode(HighDpiMode.SystemAware);
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            serviceCollection.AddSingleton<Form1>();
            serviceCollection.AddScoped<IService, Service>();
            ServiceProvider = serviceCollection.BuildServiceProvider();
            ServiceProvider.GetRequiredService<BddContext>().Database.EnsureCreated();

            var form1 = ServiceProvider.GetRequiredService<Form1>();

            Application.Run(form1);
        }
    }
}
